<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Weather App</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div class="card">
        <div class="search">
            <input type="text" placeholder="Enter City Name" spellcheck="false">
            <button><img src="images/search.png" alt="search_button_img"></button>
        </div>
        <div class="error">
            <p>Invalid City Name</p>
        </div>
        <div class="weather">
            <img src="images/rain.png" class="weather_icon">
            <h1 class="temperature">0°C</h1>
            <h2 class="city">Prague</h2>
            <h3 class="country">CZ</h3>
            <div class="details">
                <div class="col">
                    <img src="images/humidity.png">
                    <div>
                        <p class="humidity">50%</p>
                        <p>Humidity</p>
                    </div>
                </div>
                <div class="col">
                    <img src="images/wind.png">
                    <div>
                        <p class="wind">15 km/h</p>
                        <p>Wind Speed</p>
                    </div>
                </div>
            </div>
        </div>

        <script>
            const apiKey = "5f3e9581db2f909237a1b98fe496b513";
            const apiUrl = "https://api.openweathermap.org/data/2.5/weather?&units=metric";
            const weather_icon = document.querySelector(".weather_icon");

            const search_box = document.querySelector(".search input");
            const search_button = document.querySelector(".search button");

            async function checkWeather(city) {
                const response = await fetch(apiUrl + "&appid=" + apiKey + "&q=" + city);

                if (!response.ok) {
                    document.querySelector(".error").style.display = "block";
                    document.querySelector(".weather").style.display = "none";
                    return;
                }

                document.querySelector(".error").style.display = "none";
                var data = await response.json();

                document.querySelector(".city").innerHTML = data.name;
                document.querySelector(".temperature").innerHTML = Math.round(data.main.temp) + "°C";
                document.querySelector(".humidity").innerHTML = data.main.humidity + "%";
                document.querySelector(".wind").innerHTML = data.wind.speed + " km/h";
                document.querySelector(".country").innerHTML = data.sys.country;

                if (data.weather[0].main == "Clear") {
                    weather_icon.src = "images/clear.png";
                } else if (data.weather[0].main == "Clouds") {
                    weather_icon.src = "images/clouds.png";
                } else if (data.weather[0].main == "Rain") {
                    weather_icon.src = "images/rain.png";
                } else if (data.weather[0].main == "Snow") {
                    weather_icon.src = "images/snow.png";
                } else if (data.weather[0].main == "Drizzle") {
                    weather_icon.src = "images/drizzle.png";
                } else if (data.weather[0].main == "Mist") {
                    weather_icon.src = "images/mist.png";
                }

                document.querySelector(".weather").style.display = "block";
            }


            search_button.addEventListener("click", function () {
                checkWeather(search_box.value);
            });

        </script>

</body>

</html>